
From: Maximilian Attems <janitor@sternwelten.at>

AU1000_USB_DEVICE appears 3 times.
AU1X00_USB_DEVICE appears 44 times, and is nowhere defined.
One ifdef starts with "X" version, and ends with "0", so it's quite
obvious these is supposed to be one option.

Makes you wonder if anybody uses these devices.

Signed-off-by: Domen Puncer <domen@coderock.org>
Acked-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/mips/Kconfig                    |    2 +-
 25-akpm/arch/mips/au1000/mtx-1/board_setup.c |    2 +-
 25-akpm/arch/mips/configs/pb1500_defconfig   |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/mips/au1000/mtx-1/board_setup.c~ifdef-typos-mips-au100_usb_device arch/mips/au1000/mtx-1/board_setup.c
--- 25/arch/mips/au1000/mtx-1/board_setup.c~ifdef-typos-mips-au100_usb_device	2004-12-01 22:37:33.451238920 -0800
+++ 25-akpm/arch/mips/au1000/mtx-1/board_setup.c	2004-12-01 22:37:33.458237856 -0800
@@ -60,7 +60,7 @@ void __init board_setup(void)
 	// enable USB power switch
 	au_writel( au_readl(GPIO2_DIR) | 0x10, GPIO2_DIR );
 	au_writel( 0x100000, GPIO2_OUTPUT );
-#endif // defined (CONFIG_USB_OHCI) || defined (CONFIG_AU1000_USB_DEVICE)
+#endif // defined (CONFIG_USB_OHCI) || defined (CONFIG_AU1X00_USB_DEVICE)
 
 #ifdef CONFIG_PCI
 #if defined(__MIPSEB__)
diff -puN arch/mips/configs/pb1500_defconfig~ifdef-typos-mips-au100_usb_device arch/mips/configs/pb1500_defconfig
--- 25/arch/mips/configs/pb1500_defconfig~ifdef-typos-mips-au100_usb_device	2004-12-01 22:37:33.453238616 -0800
+++ 25-akpm/arch/mips/configs/pb1500_defconfig	2004-12-01 22:37:33.459237704 -0800
@@ -104,7 +104,7 @@ CONFIG_RWSEM_GENERIC_SPINLOCK=y
 CONFIG_HAVE_DEC_LOCK=y
 CONFIG_DMA_COHERENT=y
 CONFIG_CPU_LITTLE_ENDIAN=y
-# CONFIG_AU1000_USB_DEVICE is not set
+# CONFIG_AU1X00_USB_DEVICE is not set
 CONFIG_MIPS_L1_CACHE_SHIFT=5
 # CONFIG_FB is not set
 
diff -puN arch/mips/Kconfig~ifdef-typos-mips-au100_usb_device arch/mips/Kconfig
--- 25/arch/mips/Kconfig~ifdef-typos-mips-au100_usb_device	2004-12-01 22:37:33.454238464 -0800
+++ 25-akpm/arch/mips/Kconfig	2004-12-01 22:37:33.461237400 -0800
@@ -990,7 +990,7 @@ config SYSCLK_100
 
 endchoice
 
-config AU1000_USB_DEVICE
+config AU1X00_USB_DEVICE
 	bool
 	depends on MIPS_PB1500 || MIPS_PB1100 || MIPS_PB1000
 	default n
_
